> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 3.0 Prime

> Faster Wan 3.0 with 30s clips, native audio, and image, video, and audio references.

## Pricing

<Note>Fixed API prices in USD.</Note>

| Resolution | BillableSeconds | Price |
| - | - | -: |
| 480p | 2 | \$0.136 |
| 480p | 3 | \$0.204 |
| 480p | 4 | \$0.272 |
| 720p | 2 | \$0.28 |
| 480p | 5 | \$0.34 |
| 480p | 6 | \$0.408 |
| 720p | 3 | \$0.42 |
| 480p | 7 | \$0.476 |
| 480p | 8 | \$0.544 |
| 1080p | 2 | \$0.56 |
| 720p | 4 | \$0.56 |
| 480p | 9 | \$0.612 |
| 480p | 10 | \$0.68 |
| 720p | 5 | \$0.70 |
| 480p | 11 | \$0.748 |
| 480p | 12 | \$0.816 |
| 1080p | 3 | \$0.84 |
| 720p | 6 | \$0.84 |
| 480p | 13 | \$0.884 |
| 480p | 14 | \$0.952 |
| 720p | 7 | \$0.98 |
| 480p | 15 | \$1.02 |
| 480p | 16 | \$1.088 |
| 1080p | 4 | \$1.12 |
| 720p | 8 | \$1.12 |
| 480p | 17 | \$1.156 |
| 480p | 18 | \$1.224 |
| 720p | 9 | \$1.26 |
| 480p | 19 | \$1.292 |
| 480p | 20 | \$1.36 |
| 1080p | 5 | \$1.40 |
| 720p | 10 | \$1.40 |
| 480p | 21 | \$1.428 |
| 480p | 22 | \$1.496 |
| 720p | 11 | \$1.54 |
| 480p | 23 | \$1.564 |
| 480p | 24 | \$1.632 |
| 1080p | 6 | \$1.68 |
| 720p | 12 | \$1.68 |
| 480p | 25 | \$1.70 |
| 480p | 26 | \$1.768 |
| 720p | 13 | \$1.82 |
| 480p | 27 | \$1.836 |
| 480p | 28 | \$1.904 |
| 1080p | 7 | \$1.96 |
| 720p | 14 | \$1.96 |
| 480p | 29 | \$1.972 |
| 480p | 30 | \$2.04 |
| 720p | 15 | \$2.10 |
| 1080p | 8 | \$2.24 |
| 720p | 16 | \$2.24 |
| 720p | 17 | \$2.38 |
| 1080p | 9 | \$2.52 |
| 720p | 18 | \$2.52 |
| 720p | 19 | \$2.66 |
| 1080p | 10 | \$2.80 |
| 720p | 20 | \$2.80 |
| 720p | 21 | \$2.94 |
| 1080p | 11 | \$3.08 |
| 720p | 22 | \$3.08 |
| 720p | 23 | \$3.22 |
| 1080p | 12 | \$3.36 |
| 720p | 24 | \$3.36 |
| 720p | 25 | \$3.50 |
| 1080p | 13 | \$3.64 |
| 720p | 26 | \$3.64 |
| 720p | 27 | \$3.78 |
| 1080p | 14 | \$3.92 |
| 720p | 28 | \$3.92 |
| 720p | 29 | \$4.06 |
| 1080p | 15 | \$4.20 |
| 720p | 30 | \$4.20 |
| 1080p | 16 | \$4.48 |
| 1080p | 17 | \$4.76 |
| 1080p | 18 | \$5.04 |
| 1080p | 19 | \$5.32 |
| 1080p | 20 | \$5.60 |
| 1080p | 21 | \$5.88 |
| 1080p | 22 | \$6.16 |
| 1080p | 23 | \$6.44 |
| 1080p | 24 | \$6.72 |
| 1080p | 25 | \$7.00 |
| 1080p | 26 | \$7.28 |
| 1080p | 27 | \$7.56 |
| 1080p | 28 | \$7.84 |
| 1080p | 29 | \$8.12 |
| 1080p | 30 | \$8.40 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated | Use instead | Accepted until |
  | - | - | - |
  | `startImage` | `start_image` | 2026-06-19 |
  | `aspectRatio` | `aspect_ratio` | 2026-06-19 |
  | `generateAudio` | `generate_audio` | 2026-06-19 |
  | `enablePromptExpansion` | `enable_prompt_expansion` | 2026-06-19 |
  | `endImage` | `end_image` | 2026-06-19 |
  | `referenceImages` | `reference_images` | 2026-06-19 |
  | `referenceVideos` | `reference_videos` | 2026-06-19 |
  | `referenceVideoSeconds` | `reference_video_seconds` | 2026-06-19 |
  | `referenceAudios` | `reference_audios` | 2026-06-19 |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/video/alibaba/wan-3.0-prime
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
  - name: Video Enhance
    description: Video enhance and upscale endpoints
  - name: 3D
    description: 3D model generation endpoints
  - name: Audio
    description: Speech and audio generation endpoints
  - name: Usage
    description: Workspace usage reporting
  - name: Utilities
    description: Miscellaneous utility endpoints
paths:
  /generate/video/alibaba/wan-3.0-prime:
    post:
      tags:
        - Video
      summary: Wan 3.0 Prime
      description: >-
        Faster Wan 3.0 with 30s clips, native audio, and image, video, and audio
        references.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results. When signing is
            configured, deliveries are signed with ECDSA P-256 (ES256); verify
            them with the keys at https://api.krea.ai/.well-known/jwks.json (see
            X-Krea-Webhook-* headers). Treat requests without these headers as
            unauthenticated.
      requestBody:
        content:
          application/json:
            example:
              prompt: Cottages in the Cotswolds, roofs curved like elder scrolls.
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 1
                  maxLength: 5000
                start_image:
                  anyOf:
                    - type: string
                      maxLength: 1024
                      format: uri
                      description: >-
                        Can be an external URL, base64 data URI, or uploaded
                        asset URL.
                    - type: 'null'
                aspect_ratio:
                  default: adaptive
                  type: string
                  enum:
                    - adaptive
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                resolution:
                  default: 720p
                  type: string
                  enum:
                    - 480p
                    - 720p
                    - 1080p
                duration:
                  default: 5
                  type: integer
                  minimum: 2
                  maximum: 30
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                generate_audio:
                  default: true
                  type: boolean
                enable_prompt_expansion:
                  default: true
                  type: boolean
                end_image:
                  anyOf:
                    - type: string
                      maxLength: 1024
                      format: uri
                      description: >-
                        Can be an external URL, base64 data URI, or uploaded
                        asset URL.
                    - type: 'null'
                reference_images:
                  maxItems: 10
                  type: array
                  items:
                    type: string
                    maxLength: 1024
                    format: uri
                    description: >-
                      Can be an external URL, base64 data URI, or uploaded asset
                      URL.
                reference_videos:
                  maxItems: 5
                  type: array
                  items:
                    type: string
                    maxLength: 1024
                    format: uri
                    description: >-
                      Can be an external URL, base64 data URI, or uploaded asset
                      URL.
                reference_video_seconds:
                  type: number
                  minimum: 0
                  maximum: 15
                reference_audios:
                  maxItems: 5
                  type: array
                  items:
                    type: string
                    maxLength: 1024
                    format: uri
                    description: >-
                      Can be an external URL, base64 data URI, or uploaded asset
                      URL.
              required:
                - prompt
              additionalProperties: false
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                    additionalProperties: false
                  progress:
                    anyOf:
                      - type: number
                        minimum: 0
                        maximum: 1
                      - type: 'null'
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
                additionalProperties: false
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.